/**
 * 首页内容
 */
function showPlays(){
	if (play.clientAddPlay)
		play.clientAddPlay();
	if(play.apps && play.apps.length>0){
		try{
			//显示正在玩数据
			var html = $.tjs("tjs_play",{"apps":play.apps,"fields":m_Const.fields});
			$("#ulPlay").html(html);
			$("#play").show();
		}catch(e){
			// 异常，删除本地存储
			play.clear();
		}
	}
}

(function(){
	// 延迟加载图片
	var imgs = document.querySelectorAll("#ulHot img[rs],#ulNew img[rs]");
	var isFirstFetch=true,timeoutId=0,	
		loadingImg=[],queueImg={};	
	
	for(var i=0;i<imgs.length;i++){
		loadingImg.push(imgs[i]);
	}
	
	function queueLoad(){
		if(loadingImg.length <=0){
			window.clearInterval(timeoutId);
			return;
		}
		
		var len = isFirstFetch?4:1;
		for(var i=0;i<len;i++){
			var img = loadingImg[0],id = img.getAttribute("rid");
				
			queueImg[id] = new Date();		//	正在排队加载的图片
			
			loadingImg.splice(0,1);
			img.setAttribute("src", appHelper.getImg(id,img.getAttribute("rs")));
			img.addEventListener("load", onLoad, false);
			img.addEventListener("error", onError, false);
		}
		
		function onLoad(){
			var id = this.getAttribute("rid");
			this.removeEventListener("load", onLoad, false);
			this.removeEventListener("error", onError, false);
			queueImg[id]=null;
			
			queueLoad();
		};
		function onError(){
			var id = this.getAttribute("rid");
			this.removeEventListener("load", onLoad, false);
			this.removeEventListener("error", onError, false);
			
			queueImg[id]=null;
			queueLoad();
		};
		
		isFirstFetch = false;
	}
	function timeoutCheck(){
		// 超时检查
		for(var key in queueImg){
			var t = queueImg[key];
			if(t){
				// 10秒过期
				if(((new Date()) - t) > 10000){
					queueLoad();
				}
			}
		}
	}
//	for(var i=0;i<imgs.length;i++){
//		imgs[i].setAttribute("src",appHelper.getImg(imgs[i].getAttribute("rid"),imgs[i].getAttribute("rs")));
//	}
	queueLoad();
	// 超时检查
	timeoutId = window.setInterval(timeoutCheck,10500);
	showPlays();
	
	var hotMore = 1,newMore=1;
	// 绑定更多按钮
	$("#ulHot_more").bind("click",function(){
		$("#ulHot .appMore" + hotMore).removeClass("hide");
		hotMore++;
		if($("#ulHot .hide").length <= 0){
			$("#ulHot_more").hide();
		}
	});
	
	$("#ulNew_more").bind("click",function(){
		$("#ulNew .appMore" + newMore).removeClass("hide");
		newMore++;
		if($("#ulNew .hide").length <= 0){
			$("#ulNew_more").hide();
		}
	});
	
	// 轮播广告位
	function setAd(){
		var ads = $("body>.banner");
		if(ads.length>0){
			if(ads.length==1){
				ads.show();
			}else{
				var allWeight = []; 
				ads.each(function(){
					var w = parseInt(this.getAttribute("weight"));
					if(w<1) w = 1;
					for(var i=0;i<w;i++){
						allWeight.push(this);
					}
				});
				
				// 随机显示
				var index = parseInt(Math.random()*allWeight.length);
				if(index<allWeight.length){
					allWeight[index].style.display = "block";
				}
			}
		}
	}
	
	window.setTimeout(setAd,150);
})();



