(function(){
	var nav = $("#ulNav li"),pages={};
	
	function showData(data){
		var cid = data.cid;
		if(data.apps.length > 0)
			$("#s_" + cid + " .app-list").html($.tjs("tjs_list",data));
		else
			$("#s_" + cid + " .app-list").html("<li class='nodata'><div class='loading'>还没有进入游戏吗? 朋友们在游戏里等你好久了！</div></li>");
		
		var btn = $("#s_" + cid + " .more");
		pages[cid] = setMoreBtnVisible(btn,1,data.next);
		btn.bind("click",function(){
			getNormal({
				url : "html5/v3/cid.jsp?cid=" + cid + "&p=" + pages[cid]
			});
		});
	}

	/*获取分类数据*/
	function getDataByCID(cid,page){
		if(isNaN(cid) && cid!="my"){
			return;
		}
		
		// 切换tab
		nav.removeClass("current");
		$("#n_" + cid).addClass("current");
		$("body>section").removeClass("current");
		$("#s_" + cid).addClass("current");
		// 获取分类数据或我的应用	
		getAjax({
			url : "html5/v3/cid.jsp?cid=" + cid,
			storage : true
		},cid);
	}
	window.listCallBack = function(data,notSave){
		showData(data);
		
		if(!notSave)
			listSaveOnly(data);
    }
	window.listCallBackMore = function(data){
		var cid = data.cid;
		$("#s_" + cid + " .app-list").html($("#s_" + cid + " .app-list").html()+$.tjs("tjs_list",data));
		var btn = $("#s_" + cid + " .more");
		pages[cid] = setMoreBtnVisible(btn,pages[cid],data.next);
    }
	$.bindOtherHashChange(getDataByCID);
})();

window.listSaveOnly = function(data){
	var key = data.cid;
	if(key=="my"){
		key += "_" + getUin();	// 我的应用需要加上uin
	}
	// 仅保存数据
	if(m_Const.storage)
		m_Const.storage.setItem(key,$.stringify(data));
}
window.getAjax = function(o,id){
	 var useLocalData = false;
	 if(o.storage && m_Const.storage){
		 var key = id;
		 if(key=="my"){
			 key += "_" + getUin();	// 我的应用需要加上uin
		 }
		 // 使用了本地存储
		 var v = m_Const.storage.getItem(key);
		     //work around for object bug
		 if (typeof v == "object"){
			v = String(v);
		 }
		 if(v) {
			 try{
			 	listCallBack($.parseJSON(v),true);
			 	useLocalData = true;
			 }catch(e){
				 // 数据版本不对，删除
				 m_Const.storage.removeItem(key);
				 useLocalData = false;
			 }
			 
		 }
	 }
	 
	 if(useLocalData){
		 JSONP(o.url + "&_cb_=listSaveOnly")
	 }else{
		 JSONP(o.url + "&_cb_=listCallBack")
	 }
 }
 
 window.getNormal = function(o){
	   JSONP(o.url + "&_cb_=listCallBackMore")
 }
