var m_client = window.qqZoneAppList;

var m_Const={
	 "url_prex" : "http://app.z.qq.com/",
	 "sid":"",
     "uin":"",
	 "fields":{id:0,pName:1,name:2,logo:3,imId:4,appType:5},
	 "storage":m_client || localStorage,
	 "platformId":1
}

function JSONP(url){   
	$("#jsonp").remove();
    
	var script =document.createElement("script");       
	script.setAttribute("type", "text/javascript");
	script.setAttribute("async", "async");
	script.setAttribute("defer", "defer");
	script.setAttribute("src",getJspUrl(url));
	script.setAttribute("id", "jsonp");
	document.body.appendChild(script);
}
function getJspUrl(url){
	if(url.indexOf("?") == -1){
		url += "?";
	}else{
		url += "&";
	}
	
	return m_Const.url_prex + url + "pid=" + m_Const.platformId + "&sid=" + getSid() + "&" + (new Date()).getTime();
}
function hasDown(pName){
	if(!pName) return false;
	
	if(m_client){
		return m_client.appIsExists(pName);
	}
	
	return false;
}
/*获取用户的sid*/
function getSid(){
	if(m_Const.sid)
		return m_Const.sid;

	if(m_client){
		m_Const.sid = decodeURIComponent(m_client.getSid());
   }

   return m_Const.sid;
}
function getUin(){
	if(!m_Const.uin){
		if(m_client)
		  m_Const.uin = m_client.getUin();
    }
    
	return m_Const.uin;
}
/*用户点击游戏，添加到最近在玩*/
function g(id,packageName,appName,img,imId,appType){
	if(appName){
		// 添加到最近在玩
		play.add(id,packageName,appName,img,imId,appType);
		if(typeof showPlays !== "undefined"){
			showPlays();
		}
	}
	var url = "detail.htm?id="  +id;
	if(packageName && m_client){
		if(appType && appType == 1)
			m_client.startOpenApp(packageName, "sd://" + url,imId);
		else
			m_client.startApp(packageName, "sd://" + url);
		
		addMyApp(id);
		return;
	}
	
	if(m_client){
		m_client.goUrl("sd://" + url);
	}else{
		location.href= url + "&sid=" + getSid();
	}
}
function openLocalUrl(url){
	if(m_client){
		m_client.goUrl("sd://" + url);
	}else{
		location.href= url;
	}
}
// 添加我的应用
function addMyApp(appId){
	// 发送1个请求，添加应用
	var imgAddd=new Image();
	imgAddd.src=getJspUrl("html5/v3/add_app.jsp?id=" + appId);
}
var play={
	apps : [],
	init : function(){
		if(m_Const.storage){
			var v = m_Const.storage.getItem("play_" + getUin());
			if(v){
	        		//work around for object bug
	        		if (typeof v == "object"){
					v = String(v);
				}
				this.apps = $.parseJSON(v);
				if(typeof this.apps == "undefined" || this.apps == null)
					this.apps = [];
			}
			
		}	
	},
   
   	
         clientAddPlay : function() {
        	// 获取feed中点击添加到最近在玩的应用
        	var feedKey = "_client_add_play_" + getUin();
        	var feedAppV = m_Const.storage.getItem(feedKey);
        	if(feedAppV){
        		//work around for object bug
        		if (typeof feedAppV == "object"){
				feedAppV = String(feedAppV);
			}
        		var feedApps = $.parseJSON(feedAppV);
        		if(feedApps  instanceof Array){// 循环json数组
        			for(var i=0;i<feedApps.length;i++){
        				var tmp_app_wrap = feedApps[i];
        				var tmp_app = tmp_app_wrap.app;
        				var tmp_attrs = tmp_app_wrap.attrs;
        				addMyApp(tmp_app.id);
        				play.add(tmp_app.id,tmp_attrs["2"],tmp_app.name,tmp_app.logo,tmp_app_wrap.imId,tmp_attrs["3"]);
        			}
        		}
        		// 删除feeds缓存
        	m_Const.storage.setItem(feedKey,"");
               }
        },
   
	clear : function(){
		if(m_Const.storage)
			m_Const.storage.removeItem("play_" + getUin());
	},
	add : function(id,packageName,appName,img,imId,appType){
			var tmpApps = [];
			tmpApps.push([id,packageName,appName,img,imId,appType]);	// 直接数组放进去，不用对象
			for(var i=0;i<this.apps.length;i++){
				var app = this.apps[i];
				if(app[0] == id){
					continue;
				}else if(tmpApps.length < 4){
					tmpApps.push(app);
				}
			}

			this.apps = tmpApps;
			this._save();
	},
	_save : function(){
		var v = $.stringify(this.apps);
		if(m_Const.storage)
			m_Const.storage.setItem("play_" + getUin(),v);
	}
}


var appHelper={
	cdns: ["http://3gimg.qq.com/images/qzone_app/logo/","http://3glogo.gtimg.com/images/qzone_app/logo/"],
	getImg : function(id,img){
		var i = (id % this.cdns.length);
		return this.cdns[i] + img;
	}
}

play.init();

//根据下一页设置是否隐藏，返回下一页id
function setMoreBtnVisible(btn,page,next){
	if(next==false){
		btn.hide();
		return 1;
	}else{
		btn.show();
		return (page+1);
	}
};